using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace novi_zadatak_2
{
    public partial class Form1 : Form
    {
        private int cols, rows;
        private Button[,] dugme;

        public Form1()
        {
            InitializeComponent();
            dugme = new Button[10, 10];
            for (int i = 0; i < 10; i++)
                for (int j = 0; j < 10; j++)
                {
                    dugme[i, j] = new Button();
                    Controls.Add(dugme[i, j]);
                }
        }
       public int Cols
            {
                get
                {
                    return cols;
                }
                set
                {
                    cols = value;
                    podesiDugmice();
                }
            }
       public int Rows
            {
                get
                {
                    return rows;
                }
                set
                {
                    rows = value;
                    podesiDugmice();
                }
            }

       public void podesiDugmice()
            {
                if (cols != 0 && rows != 0)
                {
                    int sirina = this.Width / cols;
                    int visina = this.Height / rows;
                    
                    for (int i = 0; i < 10; i++)
                    {
                        for (int j = 0; j < 10; j++)
                        {
                            if (i < rows && j < cols)
                            {
                                dugme[i, j].Width = sirina;
                                dugme[i, j].Height = visina;
                                int xpos = j * sirina;
                                int ypos = i * visina;
                                dugme[i, j].Location = new Point(xpos, ypos);
                                dugme[i, j].Visible = true;
                            }
                            else
                            {
                                dugme[i, j].Visible = false;
                            }
                        }
                    }
                }
            }   
    }
}
